Last Comment Bug 678222 - Fix c++0x initializer list error found by clang
: Fix c++0x initializer list error found by clang
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla8
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 729781 731393
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-11 09:40 PDT by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2012-02-28 13:37 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix build (8.53 KB, patch)
2011-08-11 09:40 PDT, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
roc: review+
Details | Diff | Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-08-11 09:40:58 PDT
Created attachment 552404 [details] [diff] [review]
fix build

Fix build with clang and c++0x.
Change AppUnitsPerDevPixel to return a PRUint32. It should never return
negative values and it is used in initializer lists that expect unsigned
values, which is not valid c++0x.

I have also change the member variables to be unsigned and converted
a sentinel value to use 0 instead of -1. UINT32_MAX should work fine too
if you like it better.
Comment 1 :Ehsan Akhgari (out sick) 2011-08-11 16:19:42 PDT
Pushed to inbound.
Comment 2 Matt Brubeck (:mbrubeck) 2011-08-12 07:39:45 PDT
https://hg.mozilla.org/mozilla-central/rev/8a2432d7f8f3

Note You need to log in before you can comment on or make changes to this bug.